
function mudfish_adclean_8ba9e56330861d429b31419f5d9bcc74() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.widget-side .widget-title:has(+ div a[href^="/bbs/link.php?bo_table="][target="_blank"])`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_8ba9e56330861d429b31419f5d9bcc74();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_8ba9e56330861d429b31419f5d9bcc74();
  });
}
